
package de.ivu.elect.jee.presentation.dynamicform;

import static java.util.Arrays.asList;

import java.util.List;

public abstract class AbstractBooleanFilterKriteriumProperty extends AbstractEnumProperty<BooleanFilterKriterium> {

  public AbstractBooleanFilterKriteriumProperty() {
    super();
  }

  @Override
  public boolean hasNoSelectionItem() {
    return true;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public List<BooleanFilterKriterium> getValues() {
    return asList(BooleanFilterKriterium.values());
  }

  @Override
  protected Class<BooleanFilterKriterium> getEnumClass() {
    return BooleanFilterKriterium.class;
  }
}
